> ## Documentation Index
> Fetch the complete documentation index at: https://docs.typeauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update geoblocking settings



## OpenAPI

````yaml openapi.json patch /{account_id}/security/geoblock/{application_id}
openapi: 3.0.0
info:
  title: Type Auth API
  description: >-
    API for managing applications, authentication, monitoring, and security
    features
  version: 1.0.0
servers:
  - url: https://api.typeauth.com
security: []
tags:
  - name: Application
    description: Application management endpoints
  - name: Token
    description: Token endpoints
  - name: JWT
    description: JWT configuration endpoints
  - name: Authentication
    description: Authentication endpoints
  - name: JWK
    description: JWK (JSON Web Key) management endpoints
  - name: Security
    description: Security and firewall configuration endpoints
  - name: Fraud and abuse prevention
    description: Abuse prevention and rate limiting endpoints
  - name: Monitor
    description: Application monitoring endpoints
  - name: Routing
    description: Route configuration endpoints
  - name: Tag
    description: Tag management endpoints
paths:
  /{account_id}/security/geoblock/{application_id}:
    patch:
      tags:
        - Security
      summary: Update geoblocking settings
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: application_id
          in: path
          required: true
          schema:
            type: string
        - name: area
          in: query
          required: true
          schema:
            type: string
            enum:
              - only_us
              - only_eu
              - only_ge
              - only_au
              - only_in
              - only_useu
              - block_tor
              - disabled
          examples:
            us:
              value: only_us
              summary: Allow only US traffic
            eu:
              value: only_eu
              summary: Allow only EU traffic
            ge:
              value: only_ge
              summary: Allow only GE traffic
            au:
              value: only_au
              summary: Allow only AU traffic
            in:
              value: only_in
              summary: Allow only IN traffic
            useu:
              value: only_useu
              summary: Allow only US and EU traffic
            Tor:
              value: block_tor
              summary: Block Tor traffic
            disabled:
              value: disabled
              summary: Disable geoblocking
      responses:
        '200':
          description: Geoblocking settings updated successfully
        '400':
          description: Missing parameters
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components: {}

````